- [HTTP request](https://docs.cloud.google.com/compute/docs/reference/rest/beta/previewFeatures/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/compute/docs/reference/rest/beta/previewFeatures/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/compute/docs/reference/rest/beta/previewFeatures/get#body.request_body)
- [Response body](https://docs.cloud.google.com/compute/docs/reference/rest/beta/previewFeatures/get#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/beta/previewFeatures/get#body.PreviewFeature.SCHEMA_REPRESENTATION)
    - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/beta/previewFeatures/get#body.PreviewFeature.SCHEMA_REPRESENTATION.status.SCHEMA_REPRESENTATION)
    - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/beta/previewFeatures/get#body.PreviewFeature.SCHEMA_REPRESENTATION.rollout_operation.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/compute/docs/reference/rest/beta/previewFeatures/get#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/compute/docs/reference/rest/beta/previewFeatures/get#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/compute/docs/reference/rest/beta/previewFeatures/get#try-it)

Returns the details of the given PreviewFeature.

### HTTP request

Choose an endpoint:
global africa-south1 asia-east1 asia-east2 asia-northeast1 asia-northeast2 asia-northeast3 asia-south1 asia-south2 asia-southeast1 asia-southeast2 asia-southeast3 australia-southeast1 australia-southeast2 europe-central2 europe-north1 europe-north2 europe-southwest1 europe-west1 europe-west10 europe-west12 europe-west2 europe-west3 europe-west4 europe-west6 europe-west8 europe-west9 me-central1 me-central2 me-west1 northamerica-northeast1 northamerica-northeast2 northamerica-south1 southamerica-east1 southamerica-west1 us-central1 us-east1 us-east4 us-east5 us-south1 us-west1 us-west2 us-west3 us-west4   
`GET https://compute.googleapis.com/compute/beta/projects/{project}/global/previewFeatures/{previewFeature}`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `project` | `string` Project ID for this request. |
| `previewFeature` | `string` Name of the PreviewFeature for this request. |

### Request body

The request body must be empty.

### Response body

Represents a single Google Compute Engine preview feature.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "id": string, "creationTimestamp": string, "name": string, "description": string, "activationStatus": enum, "status": { "helpLink": string, "description": string, "releaseStatus": { "stage": enum, "updateDate": { "year": integer, "month": integer, "day": integer } } }, "selfLink": string, "rolloutOperation": { "rolloutInput": { // The following is a list of mutually exclusive fields. At most one of the // fields will be set in a response: "name": string, "predefinedRolloutPlan": enum // End of mutually exclusive fields. } }, "kind": string } ``` |

| Fields ||
|---|---|
| `id` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. The unique identifier for the resource. This identifier is defined by the server. |
| `creationTimestamp` | `string` Output only. Creation timestamp in [RFC3339](https://www.ietf.org/rfc/rfc3339.txt) text format. |
| `name` | `string` Name of the feature. |
| `description` | `string` Output only. Description of the feature. |
| `activationStatus` | `enum` Specifies whether the feature is enabled or disabled. |
| `status` | `object` Output only. Status of the feature. |
| `status.helpLink` | `string` Output only. Link to the public documentation for the feature. |
| `status.description` | `string` Output only. The description of the feature. |
| `status.releaseStatus` | `object` |
| `status.releaseStatus.stage` | `enum` Output only. The stage of the feature. |
| `status.releaseStatus.updateDate` | `object` Output only. The last date when a feature transitioned between ReleaseStatuses. |
| `status.releaseStatus.updateDate.year` | `integer` Year of the date. Must be from 1 to 9999, or 0 to specify a date without a year. |
| `status.releaseStatus.updateDate.month` | `integer` Month of a year. Must be from 1 to 12, or 0 to specify a year without a month and day. |
| `status.releaseStatus.updateDate.day` | `integer` Day of a month. Must be from 1 to 31 and valid for the year and month, or 0 to specify a year by itself or a year and month where the day isn't significant. |
| `selfLink` | `string` Output only. Server-defined URL for the resource. |
| `rolloutOperation` | `object` Rollout operation of the feature. |
| `rolloutOperation.rolloutInput` | `object` Input only. The input for the rollout operation. |
| `rolloutOperation.rolloutInput.name` | `string` The name of the rollout plan Ex. organizations//locations/global/rolloutPlans/ Ex. folders//locations/global/rolloutPlans/ Ex. projects//locations/global/rolloutPlans/. |
| `rolloutOperation.rolloutInput.predefinedRolloutPlan` | `enum` Predefined rollout plan. |
| `kind` | `string` Output only. The type of the feature. Always "compute#previewFeature" for preview features. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/compute.readonly`
- `
  https://www.googleapis.com/auth/compute`
- `
  https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

In addition to any permissions specified on the fields above, authorization requires one or more of the following [IAM](https://cloud.google.com/iam/docs/) permissions:

- `compute.previewFeatures.get`

To find predefined roles that contain those permissions, see [Compute Engine IAM Roles](https://docs.cloud.google.com/compute/docs/access/iam).